rmByEvi {ScISI} | R Documentation

## A function that parses through each GO protein complex and removes proteins based on evidence codes.

### Description

The set of proteins protKept argument is a filtered set of proteins based on evidence codes given by the users. If complex contains any protein not in protKept, that protein will be deleted.

### Usage

    rmByEvi(protKept, complex)

### Arguments

`protKept` | A character vector of filtered proteins. Only the proteins listed in this vector should be kept in the protein complexes
`complex` | A list of the GO protein complexes

### Details

When `getGOInfo` is called, the user can specify a set of evidence codes in the argument (see getGOInfo.Rd). The function `getGOInfo` then generates a set of proteins, protKept (which are indexed by evidence codes other than the user specified set of evidence codes), that are valid proteins.

This function takes this set of proteins and compares it with each GO protein complex. If any protein is found within a GO protein complex and does not belong to protKept, it is deleted from that protein complex.

### Value

The return value is the "complex" list with a protein removed from the protein complex if that protein is not found in protKept.

### Author(s)

Tony Chiang

[Package ScISI version 1.16.0 Index]